
# Fedora review: http://bugzilla.redhat.com/190367

%if 0%{?fedora} > 6
%define kdelibs3 kdelibs3
%define PyQt3 PyQt3
%else
%define kdelibs3 kdelibs
%define PyQt3 PyQt
BuildRequires: libutempter-devel
%endif

Summary: Python bindings for KDE3
Name: 	 PyKDE
Version: 3.16.6
Release: 14%{?dist}

License: GPLv2
URL: 	 http://www.riverbankcomputing.com/software/pykde/intro 
Source0: http://www.riverbankcomputing.com/static/Downloads/PyKDE3/PyKDE-%{version}.tar.bz2 
Group: 	 Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# http://mats.imk.fraunhofer.de/pipermail/pykde/2006-November/014627.html
Patch0: PyKDE-3.16.0-kmimetype.patch

# fix FTBFS with g++ 4.6 (taking address of temporary)
Patch1: PyKDE-3.16.6-gcc46.patch

# fix FTBFS with g++ 4.7 (spurious const for KAccel::isEnabled in kaccel.sip and
# for KGlobalAccel::isEnabled in kglobalaccel.sip)
Patch2: PyKDE-3.16.6-gcc47.patch

## upstream patches
# candidate to fix build with latest sip
Patch100: PyKDE-3.16.7.patch

BuildRequires: python-devel >= 2.3
%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
BuildRequires: %{PyQt3}-devel >= 3.18
BuildRequires: sip-devel >= 4.9.2

Provides: PyKDE3 = %{version}-%{release}

Requires: %{PyQt3}

BuildRequires: %{kdelibs3}-devel
%global kdelibs3_ver %((kde-config --version 2>/dev/null || echo KDE 3.5.10) | grep '^KDE' | cut -d' ' -f2 | cut -d'-' -f1)
Requires: %{kdelibs3} >= %{kdelibs3_ver}
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

%description
These are the Python bindings for KDE3. 

%package devel
Summary: %{name} SIP files
Group: 	 Development/Languages
Provides: PyKDE3-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: %{PyQt3}-devel 
Requires: sip-devel
#Obsoletes: %{name}-docs < %{version}-%{release}
Provides:  %{name}-docs = %{version}-%{release}
%description devel
Sip files and documentation needed for developing with %{name}


%prep
%setup -q %{?snapshot:-n %{name}-snapshot%{snapshot}}

%patch0 -p1 -b .kmimetype
%patch1 -p1 -b .gcc46
%patch2 -p1 -b .gcc47
%patch100 -p1 -b .sip4_10


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%{__python} configure.py \
  -L %{_lib} \
  -d %{python_sitearch} \
  -i

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/*
%{python_sitearch}/*

%files devel
%defattr(-,root,root,-)
%doc doc/* examples
%{_datadir}/sip/*


%changelog
* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 17 2013 Rex Dieter <rdieter@fedoraproject.org> 3.16.6-13
- rebuild (sip)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 01 2012 Rex Dieter <rdieter@fedoraproject.org> 3.16.6-11
- rebuild  (sip)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 21 2012 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3.16.6-9
- fix FTBFS with g++ 4.7 (spurious const for K(Global)Accel::isEnabled)

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 13 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3.16.6-7
- fix FTBFS with g++ 4.6 (taking address of temporary)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.16.6-5
- rebuild (sip)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 3.16.6-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jan 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.16.6-3
- upstream patch to support newer sip

* Thu Jan 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.16.6-2
- rebuild (sip)

* Fri Nov 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.16.6-1
- PyKDE-3.16.6
- Requires: sip-api(%%_sip_api_major) >= %%_sip_api

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.16.3-1
- PyKDE-3.16.3

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.16.2-4
- respin (sip/PyQt)

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.16.2-2
- Rebuild for Python 2.6

* Mon Nov 17 2008 Rex Dieter <rdieter@fedoraproject.org> 3.16.2-1
- PyKDE-3.16.2

* Wed Jun 10 2008 Rex Dieter <rdieter@fedoraproject.org> 3.16.1-2
- Provides: PyKDE3(-devel)
- Requires: PyQt3(-devel)

* Fri Mar 07 2008 Rex Dieter <rdieter@fedoraproject.org> 3.16.1-1
- PyKDE-3.16.1

* Mon Feb 11 2008 Rex Dieter <rdieter@fedoraproject.org> 3.16.0-12 
- respin (gcc43)

* Sat Nov 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.16.0-11
- (Build)Requires: s/kdelibs/kdelibs3/, s/kdebase/kdebase3/ 

* Fri Nov 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.16.0-9
- sip-4.7 patch (#396441)

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.16.0-7
- License: GPLv2
- respin (BuildID)

* Thu Feb 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.16.0-6
- BR: sip-devel >= 4.5.2
- patch for python-2.5

* Thu Nov 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16.0-5
- kmimetype patch
- devel: Requires: sip-devel

* Wed Nov 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16.0-3
- (unversioned) Requires: PyQt
- rebuild for PyQt-3.17 (fc7+)

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16.0-2 
- respin

* Mon Sep 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16.0-1
- 3.16.0
- no longer own %%_datadir/sip, sip-devel does now (#206633)

* Thu Sep 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15.2-0.6.20060422
- fc6 respin

* Fri Jul 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15.2-0.5.20060422
- %%doc AUTHORS COPYING
- License: GPL

* Fri May 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15.2-0.4.20060422
- drop sip-abi crud, rely (only) on
  Requires: PyQt

* Fri Apr 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15.2-0.3.20060422
- fix busted Requires wrt sip-abi

* Thu Apr 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15.2-0.2.20060422
- respin for sip-4.4.3 
- use sip-abi, sip-abi-min

* Wed Apr 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15.2-0.1.20060422
- 20060422 snapshot

* Fri Apr 08 2005 Rex Dieter <rexdieter[AT]users.sf.net> 3.11.4-0.1.20050316.kde
- 20050316 snapshot

* Tue Dec 21 2004 Rex Dieter <rexdieter[AT]users.sf.net> 3.11.3-0.6.kde
- Req: python-abi = %%python_ver

* Wed Dec 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 3.11.3-0.5.kde
- rebuild against 3.3.2
- cleaner lib64 fix

* Fri Oct 08 2004 Rex Dieter <rexdieter at sf.net> 3.11.3-0.4.kde
- lib64 fixes (thanks Bryan O'Sullivan <bos@serpentine.com>)
- kde-3.3.1 fixes
- sip3: BR: sip-3.11.2

* Tue Sep 21 2004 Rex Dieter <rexdieter at sf.net> 3.11.3-0.3.kde
- rebuild against sip-3.11/sip-4.1, PyKDE-3.13

* Tue Sep 7 2004 Rex Dieter <rexdieter at sf.net> 3.11.3-0.1
- -devel: include classref(-docs subpkg?), examples

* Fri Aug 27 2004 Rex Dieter <rexdieter at sf.net> 3.11.3-0.fdr.1
- 3.11.3

* Tue Jul 20 2004 Rex Dieter <rexdieter at sf.net> 3.11.1-0.fdr.1
- use/Requires: %%{python_sitearch}

* Mon Jul 06 2004 Rex Dieter <rexdieter at sf.net> 3.11.1-0.fdr.0
- 3.11.1

* Tue Jun 01 2004 Rex Dieter <rexdieter at sf.net> 3.11-0.fdr.0.1.rc1
- 3.11rc1

* Thu Dec 04 2003 Rex Dieter <rexdieter at sf.net> 3.8.0-0.fdr.0
- 3.8.0

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 3.7.4-0.fdr.2
- cleanup 
- add Fedora Core support

* Wed Sep 17 2003 Rex Dieter <rexdieter at sf.net> 3.7.4-0.fdr.1
- rebuild against newer sip/PyQT/kdelibs

* Tue Aug 19 2003 Rex Dieter <rexdieter at sf.net> 3.7.4-0.fdr.0
- 3.7-4

* Mon Aug 11 2003 Rex Dieter <rexdieter at sf.net> 3.7.3-0.fdr.0
- 3.7-3
- fedora'ize

* Wed Apr 30 2003 Rex Dieter <rexdieter at sf.net> 3.5-2-0.0
- NOTE: This version does *not* work with PyQt/sip v3.6.  Guess
  we'll have to wait fo an updated/fixed version.
- kde-redhat versioning.
- NOTE: rh73 pkg built with/for python2.

